Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Consolidation_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Consolidation_SP.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Consolidation_SP.java	(revision 1247)
@@ -12,7 +12,7 @@
 import schedframe.resources.ResourceStatus;
 import schedframe.resources.StandardResourceType;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
-import schedframe.resources.computing.coolemall.Node;
 import schedframe.resources.units.ProcessingElements;
 import schedframe.resources.units.ResourceUnit;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Consolidation_NodePowMan_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Consolidation_NodePowMan_SP.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Consolidation_NodePowMan_SP.java	(revision 1247)
@@ -12,8 +12,8 @@
 import schedframe.resources.ResourceStatus;
 import schedframe.resources.StandardResourceType;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.coolemall.Node;
 import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_LoadBalancing_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_LoadBalancing_SP.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_LoadBalancing_SP.java	(revision 1247)
@@ -6,6 +6,6 @@
 import schedframe.exceptions.ResourceException;
 import schedframe.resources.StandardResourceType;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
-import schedframe.resources.computing.coolemall.Node;
 import schedframe.scheduling.manager.resources.ClusterResourceManager;
 import schedframe.scheduling.manager.resources.ResourceManager;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_SP.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_SP.java	(revision 1247)
@@ -10,7 +10,7 @@
 import schedframe.exceptions.ResourceException;
 import schedframe.resources.StandardResourceType;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.coolemall.Node;
 import schedframe.resources.units.ProcessingElements;
 import schedframe.resources.units.ResourceUnit;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_LB_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_LB_SP.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_LB_SP.java	(revision 1247)
@@ -6,6 +6,6 @@
 import schedframe.exceptions.ResourceException;
 import schedframe.resources.StandardResourceType;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
-import schedframe.resources.computing.coolemall.Node;
 import schedframe.scheduling.manager.resources.ClusterResourceManager;
 import schedframe.scheduling.manager.resources.ResourceManager;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Random_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Random_SP.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Random_SP.java	(revision 1247)
@@ -11,5 +11,5 @@
 import schedframe.resources.ResourceStatus;
 import schedframe.resources.StandardResourceType;
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
@@ -57,7 +57,7 @@
 			TaskQueue q = queues.get(0);
 			
-			List<ComputingNode> notSelectedNodes = null;
+			List<Node> notSelectedNodes = null;
 			try {
-				notSelectedNodes = (List<ComputingNode>) resourceManager.getResourcesOfType(StandardResourceType.Node);
+				notSelectedNodes = (List<Node>) resourceManager.getResourcesOfType(StandardResourceType.Node);
 			} catch (ResourceException e) {
 				// TODO Auto-generated catch block
@@ -88,8 +88,8 @@
 
 	@SuppressWarnings("unchecked")
-	private ComputingNode chooseRandomProvider(ClusterResourceManager resourceManager) {
-		List<ComputingNode> nodes = null;
+	private Node chooseRandomProvider(ClusterResourceManager resourceManager) {
+		List<Node> nodes = null;
 		try {
-			nodes = (List<ComputingNode>) resourceManager.getResourcesOfType(StandardResourceType.Node);
+			nodes = (List<Node>) resourceManager.getResourcesOfType(StandardResourceType.Node);
 		} catch (ResourceException e) {
 			// TODO Auto-generated catch block
@@ -101,7 +101,7 @@
 	}
 
-	private List<ComputingNode> filterNodes(List<ComputingNode> nodes){
-		List<ComputingNode> filteredNodes = new ArrayList<ComputingNode>();
-		for (ComputingNode node : nodes) {
+	private List<Node> filterNodes(List<Node> nodes){
+		List<Node> filteredNodes = new ArrayList<Node>();
+		for (Node node : nodes) {
 			if(node.getFreeProcessors().size() > 0)
 				filteredNodes.add(node);
@@ -116,15 +116,15 @@
 		Map<ResourceUnitName, ResourceUnit> map = new HashMap<ResourceUnitName, ResourceUnit>();
 		
-		List<ComputingNode> nodes = null;
+		List<Node> nodes = null;
 		try {
-			nodes = (List<ComputingNode>) resourceManager.getResourcesOfType(StandardResourceType.Node);
+			nodes = (List<Node>) resourceManager.getResourcesOfType(StandardResourceType.Node);
 		} catch (ResourceException e1) {
 			// TODO Auto-generated catch block
 			e1.printStackTrace();
 		}
-		List<ComputingNode> avNodes = filterNodes(nodes, task);
+		List<Node> avNodes = filterNodes(nodes, task);
 		if(avNodes.size() == 0)
 			return null;
-		ComputingNode node = randomNode(avNodes);
+		Node node = randomNode(avNodes);
 
 		int cpuRequest;
@@ -158,7 +158,7 @@
 	}
 	
-	private List<ComputingNode> filterNodes(List<ComputingNode> nodes, TaskInterface<?> task){
-		List<ComputingNode> filteredNodes = new ArrayList<ComputingNode>();
-		for (ComputingNode node : nodes) {
+	private List<Node> filterNodes(List<Node> nodes, TaskInterface<?> task){
+		List<Node> filteredNodes = new ArrayList<Node>();
+		for (Node node : nodes) {
 			int cpuRequest;
 			try {
@@ -194,10 +194,10 @@
 	}
 	
-	private ComputingNode randomNode(List<ComputingNode> nodes){
+	private Node randomNode(List<Node> nodes){
 		return nodes.get(rand.nextInt(nodes.size()));
 	}
 	
-	private void adjustOtherFans(List<ComputingNode> nodes) {
-		for (ComputingNode node : nodes) {
+	private void adjustOtherFans(List<Node> nodes) {
+		for (Node node : nodes) {
 			
 			if (node.getProcessors().size() == node.getFreeProcessorsNumber()) {
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Consolidation_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Consolidation_SP.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Consolidation_SP.java	(revision 1247)
@@ -12,7 +12,7 @@
 import schedframe.resources.ResourceStatus;
 import schedframe.resources.StandardResourceType;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.coolemall.Node;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
 import schedframe.resources.units.Memory;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Consolidation_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Consolidation_SP.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Consolidation_SP.java	(revision 1247)
@@ -12,7 +12,7 @@
 import schedframe.resources.ResourceStatus;
 import schedframe.resources.StandardResourceType;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
-import schedframe.resources.computing.coolemall.Node;
 import schedframe.resources.units.ProcessingElements;
 import schedframe.resources.units.ResourceUnit;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Consolidation_NodePowMan_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Consolidation_NodePowMan_SP.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Consolidation_NodePowMan_SP.java	(revision 1247)
@@ -12,8 +12,8 @@
 import schedframe.resources.ResourceStatus;
 import schedframe.resources.StandardResourceType;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.coolemall.Node;
 import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationAtom_NodePowMan_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationAtom_NodePowMan_SP.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationAtom_NodePowMan_SP.java	(revision 1247)
@@ -12,8 +12,8 @@
 import schedframe.resources.ResourceStatus;
 import schedframe.resources.StandardResourceType;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.coolemall.Node;
 import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_LoadBalancing_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_LoadBalancing_SP.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_LoadBalancing_SP.java	(revision 1247)
@@ -6,6 +6,6 @@
 import schedframe.exceptions.ResourceException;
 import schedframe.resources.StandardResourceType;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
-import schedframe.resources.computing.coolemall.Node;
 import schedframe.scheduling.manager.resources.ClusterResourceManager;
 import schedframe.scheduling.manager.resources.ResourceManager;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Random_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Random_SP.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Random_SP.java	(revision 1247)
@@ -11,7 +11,7 @@
 import schedframe.resources.ResourceStatus;
 import schedframe.resources.StandardResourceType;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
-import schedframe.resources.computing.coolemall.Node;
 import schedframe.resources.units.ProcessingElements;
 import schedframe.resources.units.ResourceUnit;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_ClusterPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_ClusterPlugin.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_ClusterPlugin.java	(revision 1247)
@@ -12,5 +12,5 @@
 import schedframe.resources.ResourceStatus;
 import schedframe.resources.StandardResourceType;
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
@@ -81,6 +81,6 @@
 
 		Map<ResourceUnitName, ResourceUnit> map = new HashMap<ResourceUnitName, ResourceUnit>();
-		List<ComputingNode> nodes = resourceManager.getComputingNodes();
-		for (ComputingNode node : nodes) {
+		List<Node> nodes = resourceManager.getNodes();
+		for (Node node : nodes) {
 			int cpuRequest;
 			try {
Index: DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_NodePowerManagementClusterPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_NodePowerManagementClusterPlugin.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_NodePowerManagementClusterPlugin.java	(revision 1247)
@@ -12,5 +12,5 @@
 import schedframe.events.scheduling.SchedulingEvent;
 import schedframe.resources.ResourceStatus;
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
@@ -54,10 +54,10 @@
 						addToSchedulingPlan(plan, task, choosenResources);
 					} else {
-						if(harnessIdleNodesToWork(task, resourceManager.getComputingNodes()))
+						if(harnessIdleNodesToWork(task, resourceManager.getNodes()))
 							i--;
 					}
 				}
 			}
-			turnOffIdleNodes(resourceManager.getComputingNodes());
+			turnOffIdleNodes(resourceManager.getNodes());
 			break;
 		}
@@ -67,8 +67,8 @@
 	private Map<ResourceUnitName, ResourceUnit> chooseResourcesForExecution(ClusterResourceManager resourceManager, TaskInterface<?> task) {
 
-		List<ComputingNode> nodes = resourceManager.getComputingNodes();
+		List<Node> nodes = resourceManager.getNodes();
 		nodes = findSuitableNodes(task, nodes);
-		Collections.sort(nodes, new Comparator<ComputingNode>(){
-		    public int compare(ComputingNode node1, ComputingNode node2){    
+		Collections.sort(nodes, new Comparator<Node>(){
+		    public int compare(Node node1, Node node2){    
 		        return node1.getResourceCharacteristic().getParameters().get("category").get(0).getContent().compareTo(node2.getResourceCharacteristic().getParameters().get("category").get(0).getContent());
 		    }
@@ -98,5 +98,5 @@
 	}
 	
-	private List<ComputingNode> findSuitableNodes(TaskInterface<?> task, List<ComputingNode> nodes){
+	private List<Node> findSuitableNodes(TaskInterface<?> task, List<Node> nodes){
 		int cpuRequest;
 		try {
@@ -105,6 +105,6 @@
 			cpuRequest = 1;
 		}
-		List<ComputingNode> avNodes = new ArrayList<ComputingNode>();
-		for(ComputingNode node: nodes){
+		List<Node> avNodes = new ArrayList<Node>();
+		for(Node node: nodes){
 			if(node.getFreeProcessorsNumber() >= cpuRequest){
 				avNodes.add(node);
@@ -114,6 +114,6 @@
 	}
 
-	private void turnOffIdleNodes(List<ComputingNode> nodes){
-		for(ComputingNode node : nodes){
+	private void turnOffIdleNodes(List<Node> nodes){
+		for(Node node : nodes){
 			if(node.getFreeProcessorsNumber() == node.getProcessorsNumber()){
 				node.getPowerInterface().setPowerState(StandardPowerStateName.OFF);
@@ -122,5 +122,5 @@
 	}
 	
-	private boolean harnessIdleNodesToWork(TaskInterface<?> task, List<ComputingNode> nodes){
+	private boolean harnessIdleNodesToWork(TaskInterface<?> task, List<Node> nodes){
 		int cpuRequest;
 		try {
@@ -129,11 +129,11 @@
 			cpuRequest = 1;
 		}
-		Collections.sort(nodes, new Comparator<ComputingNode>(){
-		    public int compare(ComputingNode node1, ComputingNode node2){    
+		Collections.sort(nodes, new Comparator<Node>(){
+		    public int compare(Node node1, Node node2){    
 		        return node1.getResourceCharacteristic().getParameters().get("category").get(0).getContent().compareTo(node2.getResourceCharacteristic().getParameters().get("category").get(0).getContent());
 		    }
 		});
 		for (int i = 0; i < nodes.size() && cpuRequest > 0; i++) {
-			ComputingNode node = nodes.get(i);
+			Node node = nodes.get(i);
 			if(node.getPowerInterface().getPowerState() == StandardPowerStateName.OFF){
 				node.getPowerInterface().setPowerState(StandardPowerStateName.ON);
Index: DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_RandomClusterPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_RandomClusterPlugin.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_RandomClusterPlugin.java	(revision 1247)
@@ -7,5 +7,5 @@
 
 import schedframe.events.scheduling.SchedulingEvent;
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.scheduling.manager.resources.ClusterResourceManager;
 import schedframe.scheduling.manager.resources.ResourceManager;
@@ -59,5 +59,5 @@
 
 	private String chooseRandomProvider(ClusterResourceManager resourceManager) {
-		List<ComputingNode> nodes = resourceManager.getComputingNodes();
+		List<Node> nodes = resourceManager.getNodes();
 		int nodeIdx = rand.nextInt(nodes.size());
 		return nodes.get(nodeIdx).getFullName();
Index: DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_FanManagementClusterPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_FanManagementClusterPlugin.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_FanManagementClusterPlugin.java	(revision 1247)
@@ -9,5 +9,5 @@
 import schedframe.events.scheduling.SchedulingEvent;
 import schedframe.resources.StandardResourceType;
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
 import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
@@ -46,5 +46,5 @@
 			// BaseLocalSchedulingPlugin.placeJobsInQueues() method)
 			TaskQueue q = queues.get(0);
-			List<ComputingNode> notSelectedNodes = resourceManager.getComputingNodes();
+			List<Node> notSelectedNodes = resourceManager.getNodes();
 			// check all tasks in queue
 			for (int i = 0; i < q.size(); i++) {
@@ -53,5 +53,5 @@
 				if (task.getStatus() == DCWormsTags.READY) {
 
-					ComputingNode node = chooseRandomProvider(resourceManager, task);
+					Node node = chooseRandomProvider(resourceManager, task);
 					if (node != null) {
 						//if there are two or more tasks ( running on the given node then
@@ -83,12 +83,12 @@
 	}
 
-	private ComputingNode chooseRandomProvider(ClusterResourceManager resourceManager, TaskInterface<?> task) {
-		List<ComputingNode> nodes = filterNodes(resourceManager.getComputingNodes(), task);
+	private Node chooseRandomProvider(ClusterResourceManager resourceManager, TaskInterface<?> task) {
+		List<Node> nodes = filterNodes(resourceManager.getNodes(), task);
 		return randomNode(nodes);
 	}
 	
-	private List<ComputingNode> filterNodes(List<ComputingNode> nodes, TaskInterface<?> task){
-		List<ComputingNode> filteredNodes = new ArrayList<ComputingNode>();
-		for (ComputingNode node : nodes) {
+	private List<Node> filterNodes(List<Node> nodes, TaskInterface<?> task){
+		List<Node> filteredNodes = new ArrayList<Node>();
+		for (Node node : nodes) {
 			int cpuRequest;
 			try {
@@ -106,10 +106,10 @@
 	}
 	
-	private ComputingNode randomNode(List<ComputingNode> nodes){
+	private Node randomNode(List<Node> nodes){
 		return nodes.get(rand.nextInt(nodes.size()));
 	}
 	
-	private void adjustOtherFans(List<ComputingNode> nodes){
-		for(ComputingNode node : nodes){
+	private void adjustOtherFans(List<Node> nodes){
+		for(Node node : nodes){
 			List<Device> devices = node.getResourceCharacteristic().getDevices();
 			if(node.getFreeProcessorsNumber() == node.getProcessorsNumber()){
Index: DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_ConsolidationClusterPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_ConsolidationClusterPlugin.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_ConsolidationClusterPlugin.java	(revision 1247)
@@ -12,5 +12,5 @@
 import schedframe.events.scheduling.SchedulingEvent;
 import schedframe.resources.ResourceStatus;
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.units.Memory;
@@ -74,8 +74,8 @@
 	private Map<ResourceUnitName, ResourceUnit> chooseResourcesForExecution(ClusterResourceManager resourceManager, TaskInterface<?> task) throws NoSuchFieldException {
 
-		List<ComputingNode> nodes = resourceManager.getComputingNodes();
+		List<Node> nodes = resourceManager.getNodes();
 		nodes = findSuitableNodes(task, nodes);
-		Collections.sort(nodes, new Comparator<ComputingNode>(){
-		    public int compare(ComputingNode node1, ComputingNode node2){   
+		Collections.sort(nodes, new Comparator<Node>(){
+		    public int compare(Node node1, Node node2){   
 		        return node1.getResourceCharacteristic().getParameters().get("category").get(0).getContent().compareTo(node2.getResourceCharacteristic().getParameters().get("category").get(0).getContent());
 		    }
@@ -83,5 +83,5 @@
 		if(nodes.size() > 0)
 		{
-			ComputingNode node = nodes.get(0);
+			Node node = nodes.get(0);
 			Map<ResourceUnitName, ResourceUnit> map = new HashMap<ResourceUnitName, ResourceUnit>();
 			List<ComputingResource> choosenResources =  new ArrayList<ComputingResource>();
@@ -117,5 +117,5 @@
 	}
 	
-	private List<ComputingNode> findSuitableNodes(TaskInterface<?> task, List<ComputingNode> nodes) throws NoSuchFieldException{
+	private List<Node> findSuitableNodes(TaskInterface<?> task, List<Node> nodes) throws NoSuchFieldException{
 		int cpuRequest;
 		try {
@@ -130,6 +130,6 @@
 			memoryRequest = 0;
 		}
-		List<ComputingNode> suitableNodes = new ArrayList<ComputingNode>();
-		for(ComputingNode node: nodes){
+		List<Node> suitableNodes = new ArrayList<Node>();
+		for(Node node: nodes){
 			if(node.getFreeProcessorsNumber() >= cpuRequest && node.getFreeMemory() >= memoryRequest){
 				suitableNodes.add(node);
